Package org.eclipse.rdf4j.query.resultio.text

## Class SPARQLResultsXSVMappingStrategy

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.text.SPARQLResultsXSVMappingStrategy

- All Implemented Interfaces:
    `com.opencsv.bean.MappingStrategy<BindingSet>`
  Direct Known Subclasses:
    `SPARQLResultsCSVMappingStrategy`, `SPARQLResultsTSVMappingStrategy`

      public abstract class SPARQLResultsXSVMappingStrategy
      extends Object
      implements com.opencsv.bean.MappingStrategy<BindingSet>

  This serves as a base class for mapping strategies for character separated inputs. Specifically, it is meant for `SPARQLResultsCSVMappingStrategy` and `SPARQLResultsTSVMappingStrategy`.
  Author:
    Andrew Rucker Jones

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<String>` | `bindingNames` |
    `protected static Pattern` | `numberPattern` |
    `protected ValueFactory` | `valueFactory` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SPARQLResultsXSVMappingStrategy​(ValueFactory valueFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String[]` | `generateHeader​(BindingSet bean)` |
    `List<String>` | `getBindingNames()` |
    `boolean` | `isAnnotationDriven()` |
    `protected Value` | `parseNumberPatternMatch​(String valueString)` | This method parses a number as matched by `numberPattern` into a `Value`.
    `void` | `setErrorLocale​(Locale errorLocale)` |
    `void` | `setType​(Class<? extends BindingSet> type)` |
    `String[]` | `transmuteBean​(BindingSet bean)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.opencsv.bean.MappingStrategy

      `captureHeader, ignoreFields, populateNewBean`

- - ### Field Detail

    - #### bindingNames

          protected List<String> bindingNames

    - #### valueFactory

          protected final ValueFactory valueFactory

    - #### numberPattern

          protected static final Pattern numberPattern

  - ### Constructor Detail

    - #### SPARQLResultsXSVMappingStrategy

          public SPARQLResultsXSVMappingStrategy​(ValueFactory valueFactory)

  - ### Method Detail

    - #### getBindingNames

          public List<String> getBindingNames()

    - #### generateHeader

          public String[] generateHeader​(BindingSet bean)

      Specified by:
        `generateHeader` in interface `com.opencsv.bean.MappingStrategy<BindingSet>`

    - #### isAnnotationDriven

          public boolean isAnnotationDriven()

      Specified by:
        `isAnnotationDriven` in interface `com.opencsv.bean.MappingStrategy<BindingSet>`

    - #### parseNumberPatternMatch

          protected Value parseNumberPatternMatch​(String valueString)

      This method parses a number as matched by `numberPattern` into a `Value`.
      Parameters:
        `valueString` - The string to be parsed into a number
      Returns:
        The parsed value

    - #### setErrorLocale

          public void setErrorLocale​(Locale errorLocale)

      Specified by:
        `setErrorLocale` in interface `com.opencsv.bean.MappingStrategy<BindingSet>`

    - #### setType

          public void setType​(Class<? extends BindingSet> type)

      Specified by:
        `setType` in interface `com.opencsv.bean.MappingStrategy<BindingSet>`

    - #### transmuteBean

          public String[] transmuteBean​(BindingSet bean)

      Specified by:
        `transmuteBean` in interface `com.opencsv.bean.MappingStrategy<BindingSet>`